Package: java.util.concurrent

## Interface Future

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Future` | `collect(Closure transform)` Returns a `Future` asynchronously returning a transformed result.

- - ### Methods Detail

    - #### public Future collect(Closure transform)

      Returns a `Future` asynchronously returning a transformed result.

          import java.util.concurrent.*
          def executor = Executors.newSingleThreadExecutor()
          Future foobar = executor.submit{ "foobar" }
          Future foobarSize = foobar.collect{ it.size() }
          assert foobarSize.get() == 6
          executor.shutdown()

      Parameters:
        `transform` - the closure used to transform the Future value
      Returns:
        a Future allowing the transformed value to be obtained asynchronously
      Since:
        3.0.0